package windows;

/**
 * Clase que representa el idioma español.
*/
public class Spanish extends Language{
	private static int id = 0;
	private int languageID = 1;
	private String spa;
	
	/**
	 * Constructor privado.
	 * 
	*/
	private Spanish (){
		super(id++);
	}
	/**
	 * Constructor público
	 * 
	 * Inicializa el objeto
	 * @param s 	Palabra en español
	 * 
	*/
	public Spanish (String s){
		super(id++);
		spa = s;
	}

	//******************************************
	//***** MÉTODOS OBLIGADOS POR HERENCIA *****
	//******************************************
	/**
	 * Cambia la palabra almacenada en este objeto.
	 * @param s 	Nueva palabra almacenada 
	*/
	public void setWord(String s){
		spa = s;
	}
	/**
	 * Retorna la palabra almacenada en el objeto.
	 * @return spa 	Palabra almacenada en el objeto
	*/
	public String getWord(){
		return spa;
	}
	/**
	 * Retorna la palabra almacenada en el objeto como un string nuevo
	 * @return String de la forma getWord()+""
	*/
	public String getDescription(){
		return getWord()+"";
	}
	/**
	 * Retorna el idioma de la palabra.
	 * @return String de la forma "Spanish"
	*/
	public String getLanguage(){
		return "Spanish";
	}
	/**
	 * Retorna el id del idioma.
	 * @return languageID
	*/
	public int getLangID(){
		return languageID;
	}
}
